
filename h '~/folders/myfolders/hosp.csv';

proc import datafile = '~/folders/myfolders/hosp.csv' out=hospstay ;
data hospstay;
 set hospstay;
 staydays = dischrg - admit + 1;
 age = int((admit-dob)/365.25);
 costperday = fee/staydays;
run;

proc contents varnum;
proc print;
 format dob admit dischrg date9.;
run;

libname h '~/folders/myfolders/';
proc contents data=h.valung varnum;
run;

data sqcancer;
 set h.valung; where celltype=1;
 if kps = .  then kps_cat = . ; else
 if kps < 50 then kps_cat = 1; else
 if kps < 70 then kps_cat = 2; else
 if kps >=70 then kps_cat = 3;
run;

proc freq; tables kps*kps_cat/nopercent norow nocol;
run;
proc means data=sqcancer;
 class kps_cat;
 var death survtime;
run;

proc copy in=work out=h;
 select sqcancer;
run;
